import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationChannelSchema } from '../enums/CommunicationChannel.schema';
import { CommunicationDirectionSchema } from '../enums/CommunicationDirection.schema';
import { CommunicationStatusSchema } from '../enums/CommunicationStatus.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  patientId: z.number().int(),
  channel: CommunicationChannelSchema,
  direction: CommunicationDirectionSchema,
  status: CommunicationStatusSchema,
  body: z.string().optional().nullable(),
  callDuration: z.number().int().optional().nullable(),
  twilioSid: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional()
}).strict();
export const CommunicationUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.CommunicationUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationUncheckedCreateWithoutUserInput>;
export const CommunicationUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
